Bug 198499 - Port network command to libdhcp4client
Port network command to libdhcp4client
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-07-11 10:40 EDT by Mark McLoughlin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.47-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-13 13:12:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
mkinitrd-libdhclient.patch (6.94 KB, patch)
2006-07-11 10:40 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2006-07-11 10:40:52 EDT
Attaching a patch to make nash use libdhcp4client.

Also adds nashLoggerV() back again, useful for logging DHCP stuff.

Obviously IPv6 needs some work, but it should work at least as well as with pump.
Comment 1 Mark McLoughlin 2006-07-11 10:40:52 EDT
Created attachment 132240 [details]
Comment 2 Mark McLoughlin 2006-07-11 10:44:41 EDT
Oh, obviously we should BuildRequires: libdhcp4client-devel instead of
libpump-devel too.

Note You need to log in before you can comment on or make changes to this bug.